# Bibtex

class Bibtex extends Resource

Description of Publication

## Methods

getInterHash()

No description

from Resource
getIntraHash()

No description

from Resource
setInterHash($interHash)

No description

from Resource
setIntraHash($intraHash)

No description

from Resource
__toString()

No description

string
getTitle()

No description

void
setTitle(string $title)

No description

int
compare(Resource $b, string $compareAttribute)

No description

__construct()

No description

hasTitle()

No description

getBibtexKey()

No description

hasBibtexKey()

No description

getBKey()

No description

hasBKey()

No description

getMisc()

No description

getBibtexAbstract()

No description

hasBibtexAbstract()

No description

getEntrytype()

No description

hasEntrytype()

No description

getAddress()

No description

hasAddress()

No description

getAnnote()

No description

hasAnnote()

No description

getAuthor()

No description

hasAuthor()

No description

getBooktitle()

No description

hasBooktitle()

No description

getChapter()

No description

hasChapter()

No description

getCrossref()

No description

hasCrossref()

No description

getEdition()

No description

hasEdition()

No description

getEditor()

No description

hasEditor()

No description

getHowpublished()

No description

hasHowpublished()

No description

getInstitution()

No description

hasInstitution()

No description

getOrganization()

No description

hasOrganization()

No description

getJournal()

No description

hasJournal()

No description

getNote()

No description

hasNote()

No description

getNumber()

No description

hasNumber()

No description

getPages()

No description

hasPages()

No description

getPublisher()

No description

hasPublisher()

No description

getSchool()

No description

hasSchool()

No description

getSeries()

No description

hasSeries()

No description

getVolume()

No description

hasVolume()

No description

getDay()

No description

hasDay()

No description

getMonth()

No description

hasMonth()

No description

getYear()

No description

hasYear()

No description

getType()

No description

hasType()

No description

getUrl()

No description

hasUrl()

No description

getPrivnote()

No description

hasPrivnote()

No description

getHref()

No description

hasHref()

No description

setBibtexKey($bibtexKey)

No description

setBKey($bKey)

No description

setMisc($misc)

No description

setBibtexAbstract($bibtexAbstract)

No description

setEntrytype($entrytype)

No description

setAddress($address)

No description

setAnnote($annote)

No description

setAuthor($author)

No description

setBooktitle($booktitle)

No description

setChapter($chapter)

No description

setCrossref($crossref)

No description

setEdition($edition)

No description

setEditor($editor)

No description

setHowpublished($howpublished)

No description

setInstitution($institution)

No description

setOrganization($organization)

No description

setJournal($journal)

No description

setNote($note)

No description

setNumber($number)

No description

setPages($pages)

No description

setPublisher($publisher)

No description

setSchool($school)

No description

setSeries($series)

No description

setVolume($volume)

No description

setDay($day)

No description

setMonth($month)

No description

setYear($year)

No description

setType($type)

No description

setUrl($url)

No description

setPrivnote($privnote)

No description

setHref($href)

No description

hasMiscField($prop)

No description

getMiscField($prop)

No description

## Details

###
in Resource at line 55
`getInterHash()`

###
in Resource at line 59
`getIntraHash()`

###
in Resource at line 63
`setInterHash($interHash)`

#### Parameters

| $interHash |

###
in Resource at line 67
`setIntraHash($intraHash)`

#### Parameters

| $intraHash |

###
at line 518
`__toString()`

###
at line 82
`string getTitle()`

#### Return Value

string |

###
at line 334
`void setTitle(string $title)`

#### Parameters

string | $title |

#### Return Value

void |

###
at line 528
`int compare(Resource $b, string $compareAttribute)`

#### Parameters

Resource | $b |
string | $compareAttribute |

#### Return Value

int |

###
at line 79
`__construct()`

###
at line 86
`hasTitle()`

###
at line 90
`getBibtexKey()`

###
at line 94
`hasBibtexKey()`

###
at line 98
`getBKey()`

###
at line 102
`hasBKey()`

###
at line 106
`getMisc()`

###
at line 110
`getBibtexAbstract()`

###
at line 114
`hasBibtexAbstract()`

###
at line 118
`getEntrytype()`

###
at line 122
`hasEntrytype()`

###
at line 126
`getAddress()`

###
at line 130
`hasAddress()`

###
at line 134
`getAnnote()`

###
at line 138
`hasAnnote()`

###
at line 142
`getAuthor()`

###
at line 146
`hasAuthor()`

###
at line 150
`getBooktitle()`

###
at line 154
`hasBooktitle()`

###
at line 158
`getChapter()`

###
at line 162
`hasChapter()`

###
at line 166
`getCrossref()`

###
at line 170
`hasCrossref()`

###
at line 174
`getEdition()`

###
at line 178
`hasEdition()`

###
at line 182
`getEditor()`

###
at line 186
`hasEditor()`

###
at line 190
`getHowpublished()`

###
at line 194
`hasHowpublished()`

###
at line 198
`getInstitution()`

###
at line 202
`hasInstitution()`

###
at line 206
`getOrganization()`

###
at line 210
`hasOrganization()`

###
at line 214
`getJournal()`

###
at line 218
`hasJournal()`

###
at line 222
`getNote()`

###
at line 226
`hasNote()`

###
at line 230
`getNumber()`

###
at line 234
`hasNumber()`

###
at line 238
`getPages()`

###
at line 242
`hasPages()`

###
at line 246
`getPublisher()`

###
at line 250
`hasPublisher()`

###
at line 254
`getSchool()`

###
at line 258
`hasSchool()`

###
at line 262
`getSeries()`

###
at line 266
`hasSeries()`

###
at line 270
`getVolume()`

###
at line 274
`hasVolume()`

###
at line 278
`getDay()`

###
at line 282
`hasDay()`

###
at line 286
`getMonth()`

###
at line 290
`hasMonth()`

###
at line 294
`getYear()`

###
at line 298
`hasYear()`

###
at line 302
`getType()`

###
at line 306
`hasType()`

###
at line 310
`getUrl()`

###
at line 314
`hasUrl()`

###
at line 318
`getPrivnote()`

###
at line 322
`hasPrivnote()`

###
at line 326
`getHref()`

###
at line 330
`hasHref()`

###
at line 339
`setBibtexKey($bibtexKey)`

#### Parameters

| $bibtexKey |

###
at line 344
`setBKey($bKey)`

#### Parameters

| $bKey |

###
at line 349
`setMisc($misc)`

#### Parameters

| $misc |

###
at line 355
`setBibtexAbstract($bibtexAbstract)`

#### Parameters

| $bibtexAbstract |

###
at line 360
`setEntrytype($entrytype)`

#### Parameters

| $entrytype |

###
at line 365
`setAddress($address)`

#### Parameters

| $address |

###
at line 370
`setAnnote($annote)`

#### Parameters

| $annote |

###
at line 375
`setAuthor($author)`

#### Parameters

| $author |

###
at line 380
`setBooktitle($booktitle)`

#### Parameters

| $booktitle |

###
at line 385
`setChapter($chapter)`

#### Parameters

| $chapter |

###
at line 390
`setCrossref($crossref)`

#### Parameters

| $crossref |

###
at line 395
`setEdition($edition)`

#### Parameters

| $edition |

###
at line 400
`setEditor($editor)`

#### Parameters

| $editor |

###
at line 405
`setHowpublished($howpublished)`

#### Parameters

| $howpublished |

###
at line 410
`setInstitution($institution)`

#### Parameters

| $institution |

###
at line 415
`setOrganization($organization)`

#### Parameters

| $organization |

###
at line 420
`setJournal($journal)`

#### Parameters

| $journal |

###
at line 425
`setNote($note)`

#### Parameters

| $note |

###
at line 430
`setNumber($number)`

#### Parameters

| $number |

###
at line 435
`setPages($pages)`

#### Parameters

| $pages |

###
at line 440
`setPublisher($publisher)`

#### Parameters

| $publisher |

###
at line 445
`setSchool($school)`

#### Parameters

| $school |

###
at line 450
`setSeries($series)`

#### Parameters

| $series |

###
at line 455
`setVolume($volume)`

#### Parameters

| $volume |

###
at line 460
`setDay($day)`

#### Parameters

| $day |

###
at line 465
`setMonth($month)`

#### Parameters

| $month |

###
at line 470
`setYear($year)`

#### Parameters

| $year |

###
at line 475
`setType($type)`

#### Parameters

| $type |

###
at line 480
`setUrl($url)`

#### Parameters

| $url |

###
at line 485
`setPrivnote($privnote)`

#### Parameters

| $privnote |

###
at line 490
`setHref($href)`

#### Parameters

| $href |

###
at line 495
`hasMiscField($prop)`

#### Parameters

| $prop |

###
at line 504
`getMiscField($prop)`

#### Parameters

| $prop |